author | Shawn O. Pearce <spearce@spearce.org> | |
Sun, 3 Jun 2007 01:05:13 +0000 (21:05 -0400) | ||
committer | Shawn O. Pearce <spearce@spearce.org> | |
Sun, 3 Jun 2007 01:05:13 +0000 (21:05 -0400) |
* maint:
Revert "Make the installation target of git-gui a little less chatty"
git-gui: Verify Tcl/Tk is new enough for our needs
git-gui: Attach font_ui to all spinbox widgets
Revert "Make the installation target of git-gui a little less chatty"
git-gui: Verify Tcl/Tk is new enough for our needs
git-gui: Attach font_ui to all spinbox widgets
1 | 2 | |||
---|---|---|---|---|
git-gui.sh | patch | | diff1 | | diff2 | | blob | history |
diff --cc git-gui.sh
index 264d9ff042d2250b98800ecdf77e33ebe2b8bde3,cc1625bfac11e575a6155eaf9f227a91c637de9d..7488a397a34a270a7b3a9c40c16dc66b853c064f
--- 1/git-gui.sh
--- 2/git-gui.sh
+++ b/git-gui.sh
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA}
+ ######################################################################
+ ##
+ ## Tcl/Tk sanity check
+
+ if {[catch {package require Tcl 8.4} err]
+ || [catch {package require Tk 8.4} err]
+ } {
+ catch {wm withdraw .}
+ tk_messageBox \
+ -icon error \
+ -type ok \
+ -title "git-gui: fatal error" \
+ -message $err
+ exit 1
+ }
+
+######################################################################
+##
+## enable verbose loading?
+
+if {![catch {set _verbose $env(GITGUI_VERBOSE)}]} {
+ unset _verbose
+ rename auto_load real__auto_load
+ proc auto_load {name args} {
+ puts stderr "auto_load $name"
+ return [uplevel 1 real__auto_load $name $args]
+ }
+ rename source real__source
+ proc source {name} {
+ puts stderr "source $name"
+ uplevel 1 real__source $name
+ }
+}
+
######################################################################
##
## configure our library